Redmine - Feature #4383

Search Names of Files Attached to Issues
2009-12-11 07:05 - Josh Galvez

Status: Closed Start date: 2009-12-11
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Search engine Estimated time: 0.00 hour
Target version: 3.0.0

Resolution: Fixed

Description

| frequently will download a file, then not know what issue it belonged to.

| would like the search feature to search the names of file attached to issue.

I'd like to have a checkbox in the search to search only file names.

ie. | downloaded Eric's patch for issue status/percentage done, and | couldn't simply find the ticket again. Try it, search redmine.org

for:
File Name: 0001-Adds-an-option-which-will-automatically-update-an-is.patch

Related issues:

Related to Redmine - Feature #4238: Have files be a complete, aggregated list... New 2009-11-18
Related to Redmine - Feature #8811: Search also in uploaded file(name)s Closed 2011-07-14
Has duplicate Redmine - Feature #7800: Possible to search for attachment file... Closed 2011-03-07
Has duplicate Redmine - Feature #6125: search finds attached files by name an... Closed 2010-08-13
Has duplicate Redmine - Feature #15752: Add attachments to search index and I... Closed

Associated revisions

Revision 13856 - 2015-01-09 22:06 - Jean-Philippe Lang

Option to search attachment filenames and description (#4383).

Revision 13857 - 2015-01-09 22:06 - Jean-Philippe Lang
Adds strings to locales (#4383).

History

#1 - 2009-12-15 01:11 - Mélanie Gault

+1!

#2 - 2009-12-15 01:13 - Josh Galvez

#4238 Is also useful, and would be make this ticket less urgent.

#3 - 2010-01-06 07:07 - Michael Koch

+1

#4 - 2011-04-19 11:07 - Luis Serrano Aranda

+1

#5 - 2011-11-11 18:58 - Zazvonnyh Alexsey

+1

#6 - 2012-04-04 22:56 - Allyson Katch

+1

#7 - 2013-03-29 10:14 - Alfred Costa
https://www.redmine.org/issues/4238

+1 This would be really useful.

#8 - 2014-01-15 09:27 - Toshi MARUYAMA

- Has duplicate Feature #15752: Add attachments to search index and list them in a search results added

#9 - 2014-04-28 17:12 - Bernd Worsch

+1 It should be possible to find attached files by matching part of their filename. If Search digs into this part of the index should be controlled by a
checkbox.

#10 - 2014-07-03 10:03 - Wouter Lievens

+1 Would be very useful, is it that hard to implement?

#11 - 2014-12-11 22:03 - Marco Descher

+1 here

#12 - 2015-01-05 18:29 - Lu Pon

+1

#13 - 2015-01-09 22:07 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Feature added in r13857.

#14 - 2015-01-09 22:45 - Josh Galvez

It's been over 5 years coming. Thank you! This is wonderful.
